## org.gnu.gdk
Class Pixmap

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.Drawable
                  org.gnu.gdk.Pixmap

public class Pixmap
extends Drawable

A Pixmap is an offscreen drawable. It can be drawn upon with the standard drawing primitives, then copied to another Drawable.

Constructor Summary
`Pixmap(Drawable drawable, Bitmap mask, Color transparent, byte[] data)`
`Pixmap(Drawable drawable, Bitmap mask, Color transparent, java.lang.String filename)`
`Pixmap(Drawable drawable, byte[] data, int width, int height, int depth, Color fg, Color bg)`
`Pixmap(Drawable drawable, Colormap colormap, Bitmap mask, Color transparent, byte[] data)`
`Pixmap(Drawable drawable, Colormap colormap, Bitmap mask, Color transparent, java.lang.String filename)`
`Pixmap(Drawable drawable, int width, int height, int depth)`

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gdk.Drawable

`drawArc, drawArc, drawDrawable, drawDrawable, drawGlyphs, drawGlyphs, drawGrayImage, drawGrayImage, drawImage, drawImage, drawIndexedImage, drawIndexedImage, drawLayout, drawLayout, drawLayoutLine, drawLayoutLine, drawLayoutLineWithColors, drawLayoutLineWithColors, drawLayoutWithColors, drawLayoutWithColors, drawLine, drawLine, drawLines, drawLines, drawPixbuf, drawPixbuf, drawPoint, drawPoint, drawPoints, drawPoints, drawPolygon, drawPolygon, drawRectangle, drawRectangle, drawRGB32Image, drawRGB32Image, drawRGB32ImageDitherAlign, drawRGB32ImageDitherAlign, drawRGBImage, drawRGBImage, drawRGBImageDitherAlign, drawRGBImageDitherAlign, drawSegments, drawSegments, getClipRegion, getColormap, getDepth, getDisplay, getHeight, getImage, getScreen, getSize, getVisibleRegion, getVisual, getWidth, setColormap`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pixmap

    public Pixmap(Drawable drawable,
                  int width,
                  int height,
                  int depth)

### Pixmap

    public Pixmap(Drawable drawable,
                  byte[] data,
                  int width,
                  int height,
                  int depth,
                  Color fg,
                  Color bg)

### Pixmap

    public Pixmap(Drawable drawable,
                  Bitmap mask,
                  Color transparent,
                  java.lang.String filename)

### Pixmap

    public Pixmap(Drawable drawable,
                  Colormap colormap,
                  Bitmap mask,
                  Color transparent,
                  java.lang.String filename)

### Pixmap

    public Pixmap(Drawable drawable,
                  Bitmap mask,
                  Color transparent,
                  byte[] data)

### Pixmap

    public Pixmap(Drawable drawable,
                  Colormap colormap,
                  Bitmap mask,
                  Color transparent,
                  byte[] data)

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.